Subject: Re: [Ace] CBOR Web Token (CWT) spec for the ACE working group

From: Erik Wahlström neXus <[email-masked]>
Date: Sun, 3 Jan 2016 21:04:47 +0000

Thanks for the review. It's very much appreciated.

See comments below.

>> On 30 Dec 2015, at 22:57, Michael Richardson <[email-masked]> wrote:
>> 
>> On 12/04/15 22:46, Mike Jones wrote:
>> After input from many interested people, IETF Security Area Director
>> Kathleen Moriarty decided
>> <http://www.ietf.org/mail-archive/web/cose/current/msg00810.html> that
>> the right place for the CBOR Web Token (CWT) work is the ACE working
>> group <http://datatracker.ietf.org/wg/ace/charter/>.  Today Erik
>> Wahlström posted a new draft of the CBOR Web Token (CWT) specification
>> that is intended for ACE.
> 
> Thank you. I read the document today.  I hadn't read it before.
> The appendix is appreciated, the lack of repetition will make be go and
> dig into references, but that's okay.
> 
> I wonder if the result after "This is then packaged signed and encrypted
> using COSE" could also be added to the appendix?

Yes. I also think it should be added.

> 
> in figure 7, I don't think it's useful to show the \x expansion of
> what is essentially a binary value:
> 
> bac5b11cad8f99f9c72b05cf4b9e26d244dc189f745228255a219a86d6a09eff #
> "\xBA\xC5\xB1\x1C\xAD\x8F\x99\xF9\xC7+\x05\xCFK\x9E&\xD2D\xDC\x18\x9FtR(%Z!\x9A\x86\xD6\xA0\x9E\xFF"
> 
> (and it ruins the formatting...)
> Perhaps this is automatically done by a tool.

We could probably add a text saying its truncated for readability. 

Added both to a issue tracker.

/ Erik

> 
> 
> _______________________________________________
> Ace mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ace